0.231 2021-04-28
----------------


MAME Testers Bugs Fixed
-----------------------
- 00355: [Sound] (megasys1.cpp) soldam, soldamj: On attract mode screen transitions, the last music note keeps on ringing. (AJR)
- 03161: [Color/Palette] (namconb1.cpp) gslgr94u, gslgr94j: Some colors aren’t correct on the pre-game screens. (dink)
- 03911: [Sound] (stfight.cpp) stfight, empcity: Music pitch is too low. (sasuke)
- 05725: [Gameplay] (contra.cpp) contra and clones: Rolling mine behavior is inaccurate. (furrtek)
- 07308: [Known Issues/To-Do's] (trs80m3.cpp) trs80m4: The TRS-80 Model IV will not boot any Model IV disks. (Robbbert)
- 07607: [Sound] (segas32.cpp) scross, scrossa, scrossu: No engine sound. (dink)
- 07701: [DIP/Input] (coco12.cpp) coco2, coco3 [tetris]: Keyboard controls do not work in Tandy Tetris (26-3163). (Tim Lindner)
- 07773: [Sound] (tiamc1.cpp) kot: Sound is corrupted. (hap)
- 07903: [Media Support] (trs80m3.cpp) trs80l2, trs80m3: Multiple TRS-80 Model 1 and 3 disks no longer boot. (Robbbert)
- 07917: [Misc.] (cps2.cpp) pzloop2jd: Manufacturer is wrong. (idimom)
- 07922: [Sound] (megadriv.cpp) genesis [sporttbb]: Bat hitting baseball is only heard if you hit the first pitch. (Aaron Giles)
- 07923: [Sound] (megadriv.cpp) genesis [vecman]: Problems with title music in Vectorman. (Aaron Giles)
- 07924: [Sound] (namcos86.cpp) rthunder: Music plays incorrectly during Rolling Thunder cutscenes. (Aaron Giles)
- 07926: [Sound] (gauntlet.cpp) gaunt2 and clones: Pops and cracks heard during title music. (Aaron Giles)
- 07927: [Sound] (jackal.cpp) jackal and clones: Music stops playing in game. (Ivan Vangelista)
- 07929: [Sound] (kikikai.cpp) kikikai: The name entry tune is broken. (Aaron Giles)
- 07930: [Sound] (segas16b.cpp) shinobi2: Missing instruments and bad helicopter sound. (Aaron Giles)
- 07931: [Sound] (megadriv.cpp) megadriv [sor2]: Sound effects for selecting options and hitting enemies have changed. (Aaron Giles)
- 07932: [Misc.] (msx.cpp) [msx2_flop:dslayer4]: Publisher and release date are incorrect. (VasiliyFamiliya)
- 07934: [Known Issues/To-Do's] (galivan.cpp) ninjemak: Color PROMs for Ninja Emaki do not need to be re-dumped. (Jim Hernandez)
- 07935: [Media Support] (trs80m2.cpp) trs80m2: Cannot boot any disks. (O. Galibert)
- 07937: [Media Support] (trs80.cpp) trs80l2 and clones: Crash when attempting to create new JV1 disk image. (AJR)
- 07941: [DIP/Input] (omegrace.cpp) omegrace: Omega Race player 2 inputs (cocktail) are incorrect. (dink)
- 07948: [Documentation] (dogfgt.cpp) dogfgtj: Game title is incorrect. (sasuke)
- 07950: [Sound] (neogeo.cpp) twinspri: Incorrect sound on game mode and character select screens. (Aaron Giles)
- 07953: [DIP/Input] (apple2.cpp) Any software using second joy port: Y-axis on second joy port reads X-axis value. (AJR)


New working machines
--------------------
Bare Knuckle (Chinese bootleg of Megadrive version) [ShouTime]
Bare Knuckle II (Chinese bootleg of Megadrive version) [ShouTime]
BASF 7120 [rfka01, Dirk Best]
Casino 21 UCMC/IWC (ver 30.08) [Roberto Fresca, Grull Osgo]
Poker UCMC/IWC (ver 162.03) [Roberto Fresca, Grull Osgo]
Warp-1 [Dillweed, Ivan Vangelista, hap]


New working clones
------------------
Daioh (prototype, earlier) [coolmod, caius, The Dumping Union]
Franklin Computer Franklin ACE 1000 [christopherkobayashi]
Funky Jet (Korea, prototype?) [xuserv, juking]
Handle Champ (GQ710 1997/12/08 VER. JAB) [Guru, smf]
Heavyweight Champ (set 2) [Victor Fernandez (City Game)]
JoJo's Venture (Asia 981202) [XeD, MetalliC]
JoJo's Venture (Asia 990108) [XeD, MetalliC]
JoJo's Venture (Asia 990128) [XeD, MetalliC]
Mars Matrix: Hyper Solid Shooting (Asia 000412) [Jun Mendero]
Narc (rev 6.00) [Brian Troha]
NBA Hangtime (ver L1.1 4/16/96) [Brian Troha]
NBA Hangtime (ver L1.2 8/29/96) [Brian Troha]
NBA Hangtime (ver M1.1 4/16/96) [Brian Troha]
NBA Hangtime (ver M1.2 8/29/96) [Brian Troha]
NBA Hangtime (ver M1.3 10/10/96) [Brian Troha]
NBA Jam TE (rev 2.0 1/28/94) [Brian Troha]
NBA Jam TE (rev 3.0 2/26/94) [Brian Troha]
NBA Jam TE (rev 4.0 3/03/94) [Brian Troha]
NBA Maximum Hangtime (ver L0.9 10/30/96) [Brian Troha]
NBA Maximum Hangtime (ver M1.0 11/08/96) [Brian Troha]
Novag Diablo 68000 (set 1) [Berger]
Out Run (deluxe sitdown) (Enhanced Edition v2.0.3) [Chris White]
Out Run (sitdown/upright, Rev B) (Enhanced Edition v2.0.3) [Chris White]
Point Blank 2 (unknown region) [Guru]
Poker UCMC/IWC (ver 162.03 20-6-91) [Roberto Fresca, Grull Osgo]
Tekken 3 (World, TET2/VER.D) [Brian Troha]
Texas Instruments Compact Computer 40 Plus (prototype) [hap, Jon Guidry]
Trog (prototype, rev PA5-PAC 8/28/90) [Brian Troha]
Trog (rev LA3 2/10/91) [Brian Troha]
Warp-1 (Japan, bootleg) [anonymous, Dillweed]


Machines promoted to working
----------------------------
Beatmania III Append 6th Mix [Eric Holniker]
Beatmania III Append Core Remix [Eric Holniker]
Cal Omega - Game 15.7 (Double-Draw Poker) [Roberto Fresca, Grull Osgo]
Cal Omega - Game 15.9 (Wild Double-Up) [Roberto Fresca, Grull Osgo]
Cal Omega - Game 17.2 (Double Double Poker) [Roberto Fresca, Grull Osgo]
CEI 51.08 (CEI 906-III Poker) [Roberto Fresca, Grull Osgo]
Give Us A Break Club (JPM) (IMPACT) (GB 8 GB12) (set 1) [James Wallace]
Impulse (JPM) (IMPACT) (IP 5 C13) (set 1) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 1) [James Wallace]
Money Talks (JPM) (IMPACT) (MT5 L17) (set 1) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 1) [James Wallace]


Clones promoted to working
--------------------------
Give Us A Break Club (JPM) (IMPACT) (GB 8 GB12P) (set 2, Protocol) [James Wallace]
Impulse (JPM) (IMPACT) (IP 6 AC14) (set 3) [James Wallace]
Impulse (JPM) (IMPACT) (IP 6 C14) (set 2) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7 AC13) (set 5) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7 C15) (set 4) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7P C15) (set 6) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7P C15) (set 7, Whitbread) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 2) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 3) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 4) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 5, Whitbread) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 A L12) (set 5) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 L12) (set 3) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 P GL12) (set 6, Protocol) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 P L12) (set 4, Protocol) [James Wallace]
Money Talks (JPM) (IMPACT) (MT5 I L17) (set 2) [James Wallace]
Money Talks (JPM) (IMPACT) (MT7 A L19) (set 9) [James Wallace]
Money Talks (JPM) (IMPACT) (MT7 L19) (set 7) [James Wallace]
Money Talks (JPM) (IMPACT) (MT7 P L19) (set 8, Protocol) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 AL22 (set 7) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 IL22) (set 10) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 IL22) (set 9) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 L22) (set 5) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 L22) (set 8, Whitbread) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11P L22)(set 6, Protocol) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 2) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 3) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 4, Whitbread) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO3 L11) (set 13) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO8 L16) (set 11) [James Wallace]


New machines marked as NOT_WORKING
----------------------------------
Daidaixing Dancing Expert [Sean Riddle]
Aminosan (satellite) [Darksoft, rtw, MetalliC]
Coleco Rainbow Brite (mini-arcade) [Sean Riddle]
Coleco Robotech [Sean Riddle]
EACA Computers Ltd Video Genie EG3003 [Robbbert]
Epson PC-386M [flyingharuka]
Giesler & Danne GmbH & Co. KG Elzet/P 80 [Robbbert]
Intel Intellec 8 MCS [Robbbert]
JAKKS Pacific Inc  / HotGen Ltd Hannah Montana Pop Tour - Guitar Video Game (JAKKS Pacific TV Game) (May 16 2008) [Sean Riddle]
Junior 80 [Robbbert]
Lobo Systems MAX-80 [Robbbert]
Percussion Freaks (GQ881 VER. EAB) [smf]
Roland PR-100 Digital Sequencer [AJR, ValleyBell]


New clones marked as NOT_WORKING
--------------------------------
DrumMania (GQ881 VER. JAD ALT CD) [smf]
Epson PC-486SE [flyingharuka]
Giesler & Danne GmbH & Co. KG Elzet/K 80 [Robbbert]
Invinco / Head On 2 (set 2) [Callan Brown]
NEC PC-9821Ra20 (98MATE R) [flyingharuka]
NEC PC-9821Ra333 (98MATE R) [flyingharuka]
NEC PC-9821Xa16 [flyingharuka]
Percussion Freaks (GQ881 VER. AAB) [smf]
Percussion Freaks (GQ881 VER. KAB) [smf]
Percussion Freaks (GQ881 VER. UAB) [smf]
Sega Golf Club Network Pro Tour 2005 (Rev B) (GDX-0010B) [MajorPBX]
Sonic Blast Man 2 Special Turbo (SNES bootleg, set 2) [ShouTime]


New working software list additions
-----------------------------------
a800_flop:
  Ballyhoo, Caverns of Mars, Chronicles of Osgorth: The Shattered Alliance, Cutthroats, Dandy Dungeon, Enchanter, Essex, Kangaroo,
  Moonmist, Phantasie, Phobos v1.1, Planetfall, Pogoman, Softporn Adventure, Spellbreaker [A8SP]
amiga_flop: RAY Pokeri 100 mk (Fin), RAY Pokeri 200 mk (Fin) [anonymous]
apple2_flop_clcracked:
  Adventures in Space (cleanly cracked), Algebra Action (cleanly cracked), Algebra Volume 3 (Revision 0) (cleanly cracked),
  Algebra Volume 4 (Version 1.1) (cleanly cracked), Clue (Version 1.5) (cleanly cracked),
  The Computer Edition of Scrabble (cleanly cracked), Compuzzler (cleanly cracked), Depreciation Log (cleanly cracked),
  Dragon's Keep (Version 1984-06-05) (cleanly cracked), Flying Tigers (Version 1.3) (cleanly cracked),
  Forbidden Quest (cleanly cracked), GATO (Version 1.2) (cleanly cracked),
  MECC-A726 Spelling Volume 1: Primary (Version 3.1) (cleanly cracked),
  MECC-A728 Spelling Volume 2: Secondary (Version 2.0) (cleanly cracked),
  MECC-A728 Spelling Volume 2: Secondary (Version 3.1) (cleanly cracked),
  MECC-A731 Elementary Volume 7: Pre-Reading and Counting (Version 1.0) (cleanly cracked),
  MECC-A731 Elementary Volume 7: Pre-Reading and Counting (Version 1.1) (cleanly cracked),
  MECC-A733 Elementary Volume 9: Geometry (Version 1.0) (cleanly cracked),
  MECC-A733 Elementary Volume 9: Geometry (Version 2.1) (cleanly cracked),
  MECC-A734 Elementary Volume 10: Geometry (Version 1.1) (cleanly cracked),
  MECC-A735 Elementary Volume 11: Language Arts (Version 1.1) (cleanly cracked),
  MECC-A736 Elementary Volume 12: Language Arts (Version 1.0) (cleanly cracked),
  MECC-A736 Elementary Volume 12: Language Arts (Version 2.0) (cleanly cracked),
  MECC-A737 Mathematics Volume 2: Measurement (Version 1.2) (cleanly cracked),
  MECC-A738 Mathematics Volume 3: Geometry (Version 1.3) (cleanly cracked),
  MECC-A738 Mathematics Volume 3: Geometry - (Limited Boot Backup) (Version 1.3) (cleanly cracked),
  MECC-A743 Elementary Volume 13: Nutrition (Version 1.0) (cleanly cracked),
  MECC-A746 English Volume 1: Parts of Speech (Version 1.3) (cleanly cracked),
  MECC-A746 English Volume 1: Parts of Speech (Version 1.4) (cleanly cracked),
  MECC-A749 School Utilities Volume 2: Readability (cleanly cracked),
  MECC-A751 Health Maintenance Volume 2: Assessment (Version 1.0) (cleanly cracked),
  MECC-A752 Nutrition Volume 1 (Version 1.2) (cleanly cracked), MECC-A753 Nutrition Volume 2 (Version 1.5) (cleanly cracked),
  MECC-A757 Computer Generated Mathematics Materials Volume 1: Problem Solving (Version 1.1) (cleanly cracked),
  MECC-A758 Computer Generated Mathematics Materials Volume 2: Problem Solving (Version 1.1) (cleanly cracked),
  MECC-A771 Grade Manager (Version 1.0) (cleanly cracked), MECC-A771 Grade Manager (Version 1.1) (cleanly cracked),
  MECC-A771 Grade Manager Revised Edition (Version 2.1) (cleanly cracked),
  MECC-A771 Grade Manager Revised Edition (Version 2.2) (cleanly cracked),
  MECC-A771 Grade Manager Revised Edition (Version 2.3) (cleanly cracked),
  MECC-A773 Growgins' Fractions (Version 1.0) (cleanly cracked), MECC-A773 Growgins' Fractions (Version 1.1) (cleanly cracked),
  MECC-A774 Adventures with Fractions (Version 1.1) (cleanly cracked), MECC-A775 EZ Logo (Version 2.0) (cleanly cracked),
  MECC-A776 Writing a Narrative (Version 1.0) (cleanly cracked), MECC-A776 Writing a Narrative (Version 1.1) (cleanly cracked),
  MECC-A777 Blissymbolics: Blissymbol Concepts (Version 1.1) (cleanly cracked),
  MECC-A779 The Friendly Computer (Version 1.5) (cleanly cracked), MECC-A780 Mind Puzzles (Version 1.0) (cleanly cracked),
  MECC-A780 Mind Puzzles (Version 1.3) (cleanly cracked), MECC-A781 Oh, Deer! (Version 1.1) (cleanly cracked),
  MECC-A784 Problem-Solving Strategies (Version 1.0) (cleanly cracked),
  MECC-A784 Problem-Solving Strategies (Version 1.3) (cleanly cracked),
  MECC-A785 Writing a Character Sketch (Version 1.1) (cleanly cracked),
  MECC-A785 Writing a Character Sketch (Version 1.2) (cleanly cracked), MECC-A788 Early Addition (Version 1.1) (cleanly cracked),
  MECC-A788 Early Addition (Version 1.3) (cleanly cracked), MECC-A810 Experiencing Procedures (Version 1.0) (cleanly cracked),
  MECC-A811 The Three R's of Microcomputing (Version 1.0) (cleanly cracked),
  MECC-A813 Processing Words (Version 1.0) (cleanly cracked), MECC-A822 Nutrition (Version 1.0) (cleanly cracked),
  Odyssey in Time (cleanly cracked), Pensate (cleanly cracked), PlayWriter: Mystery (cleanly cracked), Quizagon (cleanly cracked),
  Risk (Version 1.4) (cleanly cracked), The School Tool (cleanly cracked), Strip Poker (cleanly cracked),
  Trivia Fever (cleanly cracked), The Voyage of the Valkyrie (cleanly cracked),
  Warriors of RAS Volume IV: Ziggurat (cleanly cracked), Wizard's Crown (Version 1.2) (cleanly cracked) [4am, Firehawke]
  Apple How To: Lessons in Computing and Calculating (cleanly cracked), Cytron Masters (cleanly cracked),
  The Desecration (cleanly cracked), Just Around The Block (cleanly cracked), Kampfgruppe (Version 1.0) (cleanly cracked),
  Six-Gun Shootout (cleanly cracked), Utopia Graphics Tablet System (cleanly cracked) [4am, san, Firehawke]
apple2_flop_orig: Animal Rescue, Mickey's Magic Reader, Modern Biology: Genetics, Sidewalk Sneakers [4am, Firehawke]
basf7100: BASIC-Kurs, BOS 9.3 [fishermansfriendtoo]
fmtowns_cd:
  Castles II - Bretagne Touitsu Senki / Castles II - Siege & Conquest, CD-ROM Bishoujo Senshi Collection - Yuu Disc Special,
  Collector D, if - Invitations from Fantastic Stories, Jinmon Yuugi, Kamimura Kei no Sexy Resort - Momoiro Quiz,
  Kamimura Kei no Sexy Telephone - Pink no Hanayome, Kanade V1.1L10A, Kazadama Vol. 2 - Masuo per Masuo - Ikeda Masuo Hanga-shuu,
  Kusuriyubi no Kyoukasho, Meisou Toshi, Moonlight Energy, Nostalgia 1907 - In North Atlantic Sea, Obaachan no Chiebukuro,
  Palamedes, Reijou Monogatari, Remember Beatles No. 2 - Michelle, Remember Beatles No. 4 - Let It Be,
  Remember Beatles No. 5 - The Long and Winding Road, Remember Beatles No. 6 - Imagine, Sexy in the Hawaii - Nice Gal Hawaii-hen,
  Tania, That's Toukou Part 1, Theme Park, URM - M15 Wakusei ni Umarete, Vanishing Point - Tenshi no Kieta Machi,
  Yumeutsutsu - Dreamy [redump.org]
  California X Party - Joshi Daisei Himitsu Club, Diamond Players, Kikou Shidan - Panzer Division II, Private Slave,
  Tokyo Sexy Ave. - Tokyo Genshi Machi [redump.org, al32gabby]
  Psychic Detective Series Vol. 1 - Invitation (DCCS remake), Psychic Detective Series Vol. 4 - Orgel (DCCS remake), Royal Blood,
  Teitoku no Ketsudan [redump.org, cyo.the.vile]
  Dalk (alt floppy disk), Kouryuuki [redump.org, wiggy2k]
ibm5150:
  Control Panel [famiclone]
  Dragon Spirit, Hyperspeed, International Soccer Challenge (Virtual Reality Vol. 1 compilation), The Black Cauldron
  [The Good Old Days]
ibm5170:
  DOOM (v1.2, shareware, Titanium Seal release) [archive.org]
  DOOM (v1.666), Darklands (3.5"), Darklands (5.25"), Inherit the Earth: Quest for the Orb, Stronghold [The Good Old Days]
  SmartBoard Driver (DOS), SmartBoard Driver SDK (Win32) [hap]
megadriv:
  Futbol Argentino 96 (Argentina) (hack of J. League Pro Striker 2), TC 2000 (Argentina, protected)
  [Sebastian Beltran, David Haywood]
pc98_cd:
  Alice no Yakata 3 (1995-05-16), Bell's Avenue Vol. 1, Bell's Avenue Vol. 2, Bell's Avenue Vol. 3, Gakuen Bakuretsu Tenkousei!,
  Hana no Kioku - Dainishou, if 1-2-3 CD Collection, Ikazuchi no Senshi Raidy 2 (1996-03-11), Kousoku Choujin,
  Mahjong Gensoukyoku II - Mahjong Fantasia, Mahjong Gensoukyoku III - Mahjong Fantasia the 3rd Stage, Misato-chan no Yume Nikki,
  Never Land, Special & Delicious! Original CD-ROM, Time Stripper Mako-chan, Toushin Toshi II (1995-04-26), Trigger 2 [redump.org]
spectrum_cass:
  Esquizóides [Planeta Sinclair]
  Fighting Warrior (Erbe), Fighting Warrior (Erbe, small case), Space Racer [spectrumcomputing.co.uk]
  Fighter Pilot (ABC Soft), Fighter Pilot (Z Cobra), Fighter Pilot (Zafi Chip), Target: Renegade (Erbe),
  Thundercats (MCM, small case) [worldofspectrum.org]
trs80_cass:
  Android Nim, Flying Saucers (L1), Haunted House (L1), Invasion Force (L1), Meteor Mission 2, MicroChess 1.5 (L1),
  Quick Watson (L1), TRS-80 Marquee (L1) [Robbbert]
trs80_flop: CP/M 2.2, LDOS 5.3.1, Lensman/DOS, TRSDOS 6.21 [Robbbert]
trs80_quik: Frogger [Robbbert]
vsmile_cart: Thomas & Friends - Engines Working Together (USA, alt) [skaman]


Software list items promoted to working
---------------------------------------
fmtowns_cd:
  Air Warrior V1.1 [al32gabby]
  Air Warrior V1.2L10, Suikoden - Tenmei no Chikai [cyo.the.vile]
pc98:
  The Incredible Machine (v1.00), Policenauts, Ranma½ - Hiryuu Densetsu, Tennis Tennis, Tetris 2 + Bombliss, Tokimeki Girls
  [Angelo Salese]


New NOT_WORKING software list additions
---------------------------------------
fm77av: F-BASIC V3.3L30, FM-77AV/20EX Nyumon Disk [sampson]
fmtowns_cd:
  Hyper Land - Doubutsu no Sekai, Hyper Note, Planet Harmony, The 4th Unit 7 - Wyatt (demo) [redump.org]
  Band-kun [redump.org, al32gabby]
leapfrog_ltleappad_cart: Disney Puuh mag dich! (Germany), Tierbabys (Germany), Was wäre, wenn ...? (Germany) [TeamEurope]
megadriv: Truco '96 (Argentina, protected) [Sebastian Beltran, David Haywood]
singingstarkaraoke_cart: Karao Kids Songs 1 (Spain), Karao Kids Songs 2 (Spain), Original Karaoke [Sean Riddle, ClawGrip]
u110_card:
  Musitronics 1 Akkordeon (U-25), SN-MV30-01 Rhythm Section (U-31), SN-MV30-02 Orchestral (U-30),
  SN-U110-01 Pipe Organ & Harpsichord, SN-U110-02 Latin & F.X. Percussions, SN-U110-03 Ethnic, SN-U110-04 Electric Grand & Clavi,
  SN-U110-05 Orchestral Strings, SN-U110-06 Orchestral Winds, SN-U110-07 Electric Guitar, SN-U110-08 Synthesizer,
  SN-U110-09 Guitar & Keyboards, SN-U110-10 Rock Drums, SN-U110-11 Sound Effects, SN-U110-12 Sax & Trombone,
  SN-U110-13 Super Strings, SN-U110-14 Super Ac Guitar, SN-U110-15 Super Brass [ValleyBell]


Translations added or modified
------------------------------
Dutch [Jos van Mourik]


Merged pull requests
--------------------
- 7869: New BSD-licensed Yamaha OPL/OPLL (YM3526, YM3812, YM2413, Y8950, YMF262, etc.) sound emulation cores. [Aaron Giles]
- 7870: twinkle.cpp: Added dumps of security dongles for Twinkle 1st Style and Substream variants. [Jennifer Taylor]
- 7878: util/cdrom.cpp: Return LBA of index 1/start of track data instead of index 0/start of pregap data. [Windy Fairy]
- 7884: megadriv.xml: Added three entries (two working, one not working). [Sebastian Beltran, David Haywood]
- 7892: Added several non-working TV games and Singing Star Karaoke cartridges [Sean Riddle, David Haywood]
- 7896: toaplan2.cpp: Fixed bbakraid music timing, and added hardware notes. [cam900]
- 7897: bus/coco/coco_fdc.cpp: Call base device start from derived class. [Tim Lindner]
- 7898: nes_clone.cpp: Added Daidaixing Dancing Expert. [Sean Riddle, David Haywood]
- 7899: megaplay.cpp: Fixed DIP switches for mp_mazin (and sorted options correctly for other games). [David Haywood]
- 7901: seibuspi.cpp: Improved documentation using the Japanese SPI motherboard manual as a reference. [cam900]
- 7902: Split bbusters/mechatt into separate drivers, fixed graphical priorities, and adjusted sound balance. [David Haywood]
- 7903: coco3.cpp, dragon.cpp: Set port B tristate value of 0xff to the first PIA (fixes MT07701). [Tim Lindner]
- 7904: pc9801.cpp: Added four non-working machines and cleaned up code. [flyingharuka, Angelo Salese]
- 7905: bus/coco: Abbreviated the option name for the GMC cartridge. [Tim Lindner]
- 7912: amstrad.cpp: Added floppy sounds for the Amstrad CPC. [Fergus Leen]
- 7916: Changed valid range for audio_latency from 1-5 to 0-5 (0 is used by the PortAudio module). [Windy Fairy]
- 7917: Use llvm-ar for Windows CI builds. [Dirk Best]
- 7920: vsmile_cart.xml: Added Thomas & Friends - Engines Working Together (USA, alt). [skaman, ClawGrip]
- 7921: fmtowns.cpp: Fixed off-by-one calculation in CDDA track length. [r09]
- 7924: Updated Dutch strings.po file. [Jos van Mourik]
- 7925: Fixed vs2019_clang build. [feos]
- 7927: fmtowns_cd.xml: Added fourteen new dumps, sixteen replacements, and four missing floppies. [r09]
- 7928: ibm5170.xml: Added six entries. [archive.org, The Good Old Days, ArcadeShadow]
- 7932: machine/spg_renderer.cpp: Fixed incorrect handling of 2-bit blend level. [Ryan Holtz, Simon Eriksson]
- 7933: roland_mt32.cpp: Added mt32 version 2.0.4 ROM dumped from newer revision board (128K × 8 ROM). [Brandon Munger]
- 7934: Allow breaking into the main menu before the machine fully starts. [AJR]
- 7936: fm77av.xml: Added FM-77AV/20EX Nyumon Disk and F-BASIC V3.3L30. [sampson, Angelo Salese]
- 7940: segas16b.cpp: Added Heavyweight Champ (set 2). [Victor Fernandez (City Game), ClawGrip]
- 7843: pc98_cd.xml: Added a missing floppy image, hybrid CDs from the FM Towns software list, and new entries from Redump. [r09]
- 7944: bus/megadrive: Added notes on SVP chip. [Javier de Silóniz Sandino]
- 7945: firebeat.cpp: Added CDs for Beatmania III Append Core Remix and Beatmania III Append 6th Mix. [Eric Holniker, Windy Fairy]
- 7847: ibm5150.xml: Added four entries. [The Good Old Days, ArcadeShadow]
- 7848: spectrum_cass.xml: Added nine entries, replaced one entry with a better dump, and updated lots of metadata. [ArcadeShadow]
- 7950: audio/nl_segas16b.cpp: Corrected two capacitor labels. [Enik Land]
- 7951: Added Konami 007452 multiplier/divider (fixes rolling mines trajectories in Contra, MT05725). [furrtek]
- 7952: qx10.cpp: Enable floppy drive B motor on motor register writes. [Brian Johnson]
- 7953: apple2.cpp: Added Franklin ACE 1000 (Apple ][+ clone). [christopherkobayashi]
- 7955: qx10.cpp: Added speaker output. [Brian Johnson]
- 7956: leapfrog_ltleappad_cart.xml: Added three entries. [TeamEurope, ClawGrip]
- 7959: a800_flop.xml: Added six entries. [A8SP, quasiscroto]
- 7961: machine/nb1412m2.cpp: Improved DAC rate and timer calculation (fixes sound issues in Mighty Guy). [sasuke]
- 7964: laserbat.cpp: Quantise area effect 2/shell to 4-pixel intervals for catnmous. [Vas Crabb]
- 7966: seta.cpp: Added Daioh (prototype, earlier). [coolmod, caius, The Dumping Union, Ryan Holtz]
- 7968: roland_cm32p.cpp: Added support for PCM cards, and added U-110 card software list. [ValleyBell]
- 7971: megadriv.xml: Corrected metadata for eleven entries. [ArcadeShadow]
- 7973: apple2gs.cpp: Fixed handling of keypad equals key. [Kelvin Sherlock]
- 7974: fmtowns_cd.xml: Added 29 entries, replaced 13 entries with better dumps, and added one missing floppy image. [r09]
- 7979: cyclemb.cpp: Improved emulation of inputs, sound and video, and corrected DIP switch labels. [sasuke]
- 7981: ibm5150.xml: Added Control Panel. [famiclone, r09]
- 7982: rfslots8085.cpp: Corrected spelling error in game name in comments. [ClawGrip]
- 7983: rfslots8085.cpp: Removed two dummy inputs representing DIP switches, as only six are present. [ClawGrip]
- 7984: video/upd7220.cpp: Fixed mixed text/graphics display issues, and implemented DMAW and DMAR commands. [Brian Johnson]
- 7985: qx10.cpp: Allocate enough video RAM for color mode. [Brian Johnson]
- 7987: segas16a.cpp, segas16b.cpp: Changed when video is updated, and reduced scheduler quantum for System 16A. [David Haywood]
- 7989: travrusa.cpp: Assert vertical blanking interrupt for entire vertical blanking interval. [David Haywood]
- 7990: neptunp2.cpp: Added program ROM for ccorsario, and expanded notes. [jordigahan, ClawGrip]
- 7991: a800_flop.xml: Added additional entries. [A8SP, quasiscroto]
- 7992: stfight.cpp: Corrected YM2203 clock frequency and added hack to set pre-scaler at machine start. [sasuke]
- 7995: video/upd7220.cpp: Fixed copy/paste bug in DMA handling code, and made code formatting more consistent. [Brian Johnson]
- 7996: funkyjet.cpp: Corrected sprite/background alignment, and marked suspect sample ROM as bad. [David Haywood]
- 7997: apple2_flop_clcracked.xml, apple2_flop_clcracked.xml: Added latest cracks and original dumps. [4am, san, Firehawke]
- 7998: plugins/cheat: Fixed handling of XML cheats that use multiple address spaces. [Szunti]
- 8000: apple2_flop_orig.xml: Added four original dumps. [4am, Firehawke]


Source Changes
--------------
-Update amiga_flop.xml [Curt Coder]

New working software list additions
-----------------------------------
amiga_flop: RAY Pokeri 100 mk (Fin), RAY Pokeri 200 mk (Fin) [anonymous]

-trs80: fixed loading of CAS files [Robbbert]

New working machines
--------------------
Bare Knuckle (Chinese bootleg of Megadrive version) [ShouTime]

New machines marked as NOT_WORKING
----------------------------------
Bare Knuckle II (Chinese bootleg of Megadrive version) [ShouTime]

-nmk16.cpp: redumped hotbubl [f205v]

-pockchal.cpp: used anonymous namespace [Ivan Vangelista]

-asma2k: Fix memory-related regression [AJR]

-cps2: mark pzloop2jd phoenix as bootleg [hap]

-trs80m3: Added support for high-speed CAS files. [Robbbert]

-nmk16.cpp: Add a note about Hot Bubble sets known to used larger EPROMs. [Brian Troha]

New working clones
------------------
Tekken 3 (World, TET2/VER.D) [Brian Troha]

-removes the non working lbgrandeja as those program ROMs were actually the TET2/VER.D program ROMs [Brian Troha]

-remove references to "mame64" from comments [hap]

-machine/gaelco3d: noticed invalid (removed) -mt cmdline option in comment [hap]

-src/devices/bus/coco/coco_fdc.cpp: Call base device_start from derived class. (#7897) [tim lindner]

-megaplay.cpp: Fix DIP switch settings for mp_mazin, and put settings in ascending order for other games. (#7899) [David Haywood]

-Add tristate value of 0xff to the first PIA in the CoCo 3 and Dragon computers (#7903) [tim lindner]
 * coco3, dragon: Add tristate value of 0xff to the first PIA

-floppy: Fix an annoyingly subtle write bug [Olivier Galibert]

-Restore legacy pc_dsk floppy support for imgtool only [AJR]

-makefile: added param to override ar [hap]

-toaplan2.cpp: Fix bbakraid music timing, Add hardware notes (#7896) [cam900]

-d64: update following sector extraction evolution [Olivier Galibert]

-bus/coco: Renamed Games Master cartdige slot option to gmc to match the Dragon drivers. (#7905) [tim lindner]

-Refactoring and bug fixes for bbusters and mechatt: (#7902) [David Haywood]
 * Moved sprite handling to a device.
 * Adjusted audio balance on mechatt (channel 0 was overpowering everything).
 * Adjusted priority handing on mechatt (planes now correctly rise from underground hanger on stage 3, train carts in later level).
 * Split driver in two, general refactoring etc.
 * Removed player 2 inputs from mechattu1 - it doesn't respond to them at all.

new NOT WORKING machines (#7898)
--------------------------------
Dancing Expert [Sean Riddle]

-util/cdrom.cpp: Return index 1/start of track data instead of index 0/start of pregap data in generated TOC. (#7878) [987123879113]
 * Add a pre-calculated field for data from current logofs to end of track.
 * Removed pregap adjustment from FM Towns code.
 * Added pregap adjustment so track ends when audio data ends in PSX CD player.
 * Fixed pce_cd load error.

-Miscellaneous formatting adjustments [Vas Crabb]

-raiden2.cpp: Improve tilemap performance by not marking tiles dirty unless data changes [AJR]

new NOT_WORKING clone
---------------------
Sega Golf Club Network Pro Tour 2005 (Rev B) (GDX-0010B) [MajorPBX]

-trs80m3: fallout from IMD change. [Robbbert]

-trs80: updated notes. [Robbbert]

-imd: Don't crash when trying to put a 80-track image in a 40-track drive [Olivier Galibert]

-jv1-dsk: SSDD can not do 80 tracks [Olivier Galibert]

-wd,upd: filter unsupported image formats [Olivier Galibert]

-floppy: What wd177x_dsk has become should be taken out and shot [Olivier Galibert]

-magreel.cpp: redumped ic24 [Team Europe]

-trs80: used the correct FDC. Removed non-TRS80 formats. [Robbbert]

-trs80m3: removed non-TRS80 formats. [Robbbert]

Games promoted to working
-------------------------
Give Us A Break Club (JPM) (IMPACT) (GB 8 GB12) (set 1) [James Wallace]
Impulse (JPM) (IMPACT) (IP 5 C13) (set 1) [James Wallace]

Clones promoted to working
--------------------------
Give Us A Break Club (JPM) (IMPACT) (GB 8 GB12P) (set 2, Protocol) [James Wallace]
Impulse (JPM) (IMPACT) (IP 6 C14) (set 2) [James Wallace]
Impulse (JPM) (IMPACT) (IP 6 AC14) (set 3) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7 C15) (set 4) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7 AC13) (set 5) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7P C15) (set 6) [James Wallace]
Impulse (JPM) (IMPACT) (IP 7P C15) (set 7, Whitbread) [James Wallace]

-seibuspi.cpp: Fix document based from hardware manual (#7901) [cam900]
 * seibuspi.cpp: Fix document
   - in SXX2D, JP121 is for mono/stereo sound output select, there's no jumper for cartridge change/flashing. reference: japanese
      SPI motherboard manual from http://ikotsu.blogspot.com/2010/01/raiden-fighter-jet-seibu-spi-jet.html
 * seibuspi.cpp: Fix notes related to hardware

-mac128.cpp: Remove bogus SCSI XTAL [AJR]
 * mac.cpp: Remove now-unnecessary #include

-asma2k: Correct size of undumped spellcheck ROM; add PCB notes [AJR, Lord Nightmare]

-Disable sleep when using -bench. [Aaron Giles]

-apple2e: turn off INTCXROM on Control-Reset (GitHub issue #7909) [R. Belmont]

-vis: partially try to fix MT7912 [cracyc]

-r4000: timing improvements [Patrick Mackinlay]
 * external clock is doubled internally
 * consume additional cycles for integer multiply/divide
 * streamline memory access

-Moved lnw80 to its own driver. [Robbbert]

-r4000: physical address space is 36 bits [Patrick Mackinlay]

-Use llvm-ar for GitHub Actions Windows CI build (#7917) [Dirk Best]

-Changed audio_latency valid range from 1-5 to 0-5 (#7916) [987123879113]

-Added some swlist warnings for Tafoid's tests. [Robbbert]

-plugins/cheat: fix XML cheat loading when emulation is launched with an image option specified (e.g. mame nes -cart smb) or by
 loading directly one part of the software (e.g. mame a600 amigaocs_flop:lslarry2:flop1) [Priuli]

-plugins/cheat: removed spurious print [etabeta]

-gameboy: Fixed crash with momocol2 and varpack [Robbbert]

-battlane: fix a problem with double height sprites at last boss [dink]

-namcos2/c355 sprites: color 0xfe is for a palette offset instead of shadow [dink, hap]

-multipcm: retrigger after writing to sample register if key is on (YMF278 also does this) [dink, hap]

-a2mockingboard.cpp: Updates [R. Belmont, TomCh]
 * Mirror the VIAs correctly across the whole CnXX range
 * Actually write the inflection bits for the SC-01

-trs80: validate the cas file [Robbbert]

-meritum: upgraded quickload to latest; added speaker. [Robbbert]

-r4000: simplify branch state [Patrick Mackinlay]

New clones marked as NOT_WORKING
--------------------------------
Sonic Blast Man 2 Special Turbo (SNES bootleg, set 2) [ShouTime]

-rf5c68: update stream before writing to wave ram [hap]

-New BSD-licensed OPL/OPLL (YM3526, YM3812, YM2413, Y8950, YMF262, etc) cores (#7869) [Aaron Giles]
 * OPL prep. Define FAMILY constant in register classes, and use that instead of template specialization for family-specific
    behaviors. Expand channel masks to 32 bits. Add is_keyon() helper.
 * Made FM channel and operator mapping more flexible. Operators are now owned by the engine and can be dynamically assigned to
    channels. Register classes now provide a mapping between a linear set of operators and channels. The register data array is now
    a regular array instead of a vector.
 * Minor change for consistency.
 * Introduce OPL registers and create a ymopl_engine. Add support for sustain-less notes and the OPL envelope clocks (which does not
    divide by 3).
 * Moved keycode calculations into register class. Removed unnecessary recalc in phase generator. Lined up OPL frequency, feedback,
    algorithm, and total level.
 * Implement key scale level and OPL-specific LFO and phase handling.
 * Create new YM3526 device based on new OPL. Fix keyon and sustain behaviors.
 * Fix weird OPL multiple values. Clean up and further document OPL LFO.
 * No busy flag on OPL, so no need to do the work. Add a right shift of 1 to the output stage to line up volume with old
    implementation.
 * More compact way of representing key scale level values.
 * Move the KSL bitswap into the registers since it's apparently fixed in OPLL and perhaps others.
 * Add support for ryhthm generation in OPL. Change compute_volume to take a phase value directly, and expose operator phase.
 * Fix OPL timers.
 * Start LFSR with a non-zero value to ensure it actually starts generating for OPL.
 * Fix silly bug in sustain logic for OPL. Fixes a lot of previously missing sounds.
 * Create OPL2 engine. Add waveform support for OPL2/3 waveforms.
 * Wire up YM3812 to the new OPL2 engine.
 * Reset OPL timers when the mask is written as well.
 * Manage rhythm key ons separately. Fixes Wardner awfulness.
 * Explicitly make channel logic handle 0, 2, or 4 operators rather than checking each one for null. Also simplify the combining
    logic for the 2 operator case.
 * Reverse bit order of LFSRs to make things a little simpler. Fix OPL LFSR so that it has its full 23-bit period.
 * Change outputs along the path to arrays rather than stereo items. This allows for four channel output. Also add a constant for
    the number of outputs to the register class.
 * Move status register bit definitions to the registers class. Generically support the IRQ bit.
 * Create shared helpers for FP encode/decode/roundtrip and use them throughout. Also update TMNT to use the FP decoder.
 * No need to clamp when using the roundtrip.
 * Clear the EOS flag when execute is turned off on ADPCM-B. Fix combine_status in YM2608 to ignore previously set flags.
 * Add missing note_select in base class. Don't add 1 to the OPL release rate.
 * Move Y8950 over to new OPL engine.
 * Remove old y8950, along with fmopl and ymdeltat
 * Add updates prior to status reads for ADPCM systems.
 * Add status_mask and irq_reset logic into the core. Clean up documentation on family-specific registers. Includes some temporary
    gross debugging stuff.
 * Made debugging less gross by giving operators and channels a reference back to their owner.
 * Fix status port address in OPL chips. Reduce ADPCM volume to match previous implementation.
 * Fix Y8950 ADPCM start. Return masked status properly.
 * Initial cut at OPLL mapping.
 * Add YM2413 support based on ymfm; renamed vrc7snd to ds1001; added YM2423 amd YMF281 variants as well. Instrument data is now
    loaded via external ROMs. Added 'depress' envelope support to the core engine. Fixed a number of issues in the ymopll_engine.
    Documented hard-coded values. Moved register clear into register-specific reset.
 * Add missing identifier.
 * Y8950 is OPL not OPL2.
 * Some documentation cleanup. Consistency fixes in the register classes.
 * Consolidate large comments. Add support for delayed modulators for OPL. Broke out 2-op and 4-op cases to help simplify logic.
    Fixed overflow handling in fp encoding.
 * Fix silly bug.
 * Changed operator assignment mechanism to be more readable. Added prepare method to be called at the start of sound update. Added
    ALL_CHANNELS constant to register files. Updated all consumers to call prepare and use constants where applicable.
 * Move YMF262 and YMF278B to use new FM engine for OPL3/4. Fix several issues in OPL3 logic, which now seems to work ok.
 * Minor fixes. More documentation.
 * Fix MSVC build.
 * Add caching of data to prepare methods to improve performance. Moved non-register decoding logic out of the .h file and into .cpp
    file. Move phase_step calculation into register class.
 * More notes. Removed keycode from cache. Split 2/4-operator outputs into separate functions. Changed OPN/OPL to use templates for
    variants. Added channel/operator_offset helpers.
 * Fairly substantial overhaul of register interface. Register interface is now stateless and contains family-specific state.
    Channel and operator accessors are prefixed by ch_/op_ now and require an offset to the specific channel or operator. Moved
    LFO/noise generation into register class, along with keyon logging.
 * Add noise back to OPL/OPLL
 * Added early-out for low envelope. Moved waveform logic out into family-specific code. General clean up of ordering. Reduced
    family base class to minimal needed.
 * More aggressively track active channels to help performance.
 * Use only summing outputs for consideration of active channels. Centralize the logic of determined 4-op vs 2-op.
 * More conservative channel deactivation.
 * Add helper to compute the sample rate and use it in all implementations. Remove unneeded chnum/opnum members.
 * Fix error in YM2612 that caused crashes.
 * Switching parameters and locals to 32-bit values gives a noticeable performance boost. Checkpoint 1.
 * More moving to 32-bit values. Checkpoint 2.
 * Last of the 32-bit promotions.
 * Ensure SSG inverted flag is only tested on systems with SSG support in the innermost loops.
 * Make most constants 32-bit as well. Expose some constants via the engine class.
 * Expand waveforms ahead of time. Optimize the attenuation lookup a bit.
 * If volume is low, don't erase output, just leave it alone. Fixes missing sound in raimais.
 * Replace a couple of magic numbers with constants.
 * Normalization of FM engine usage across consumers.
 * Removed explicit external prepare() call; this logic is now automatically done after writes and periodically. Changed OPL/OPLL to
    use native formats for block/fnum. Fixed waveform generation. Fixed PM and AM depth on OPL/OPLL.
 * Cache multiple value. Clean up output handling a bit.
 * Move multiple caching ahead of phase step caching.
 * Fully split OPLL from OPL. Remove many hacks now that OPLL registers can have state. Created shared helpers between OPL/OPLL.
    Removed more aggressive channel disables since it was not rhythm friendly and didn't really buy much.
 * Remove old comment
 * Remove bad write in OPL mode case. Fixes fsoccer intro. Only call set_reset_status() once per mode call.
 * Remove FM output boost in YM2608/2610. Not sure why I did that. Better matches previous volume now.
 * Make AM/PM logging less confusing.
 * Let's actually set DYNAMIC_OPS properly, eh?
 * Improved logging.
 * Comment cleanups. Add constant for dynamic phase. Pre-shift sustain level. Srcclean.
 * Fix memory regions on YM2608 games.
 * Clean up ymadpcm to line up with recent ymfm changes.
 * y8950: Reshuffle read/write handlers. Rename them to less confusing names.
 * ym2413: Reshuffle read/write handlers. Rename them to less confusing names.
 * ym3526/ym3812: Reshuffle read/write handlers. Rename them to less confusing names.
 * ymf262: Match read/write details to datasheet and previous tests.
 * Use a constexpr function instead of macro for packing operator numbers. Pre-compute OPM LFO waveforms.
 * Generate OPL4 engine to support the proper clock divider and new flags. Update YMF278B to use FM timers and status rather than
    replicating the logic.
 * Fix 4-operator enable on new OPL4 instance.
 * Fix FM downsampling and adjust balance in YM278B.

-More friendly behavior when OPLL writes are performed out of range. [Aaron Giles]

-ymfm: Fix OPL3 output channels and waveform mask in compatibility mode. [Aaron Giles]

-a2mockingboard.cpp: fix two off-by-ones on the Phasor address decoding [TomCh]

-fmtowns: fix off-by-1 calculation in CDDA length (#7921) [r09]

-Added floppy sounds (#7912) [Fergus Leen]

-bus/a2bus updates: [Vas Crabb, Golden Child]
 * Added Orange Micro Buffered Grappler+ printer interface card.
 * Synchronise all I/O for Apple Parallel Interface Card.

-trs80m3: model 4 can boot some floppies [Robbbert]

-bus/a2bus: Also synchronise data and asserting strobe for Apple II Parallel Interface Card. [Vas Crabb]

-shtngmst: Added a prom [Dumping Union]

-shtngmst: Dumping Union has confirmed that the other missing PLDs are not PLDs. [Robbbert]

-bus/a2bus: Made Buffered Grappler+ DRAM size configurable, fixed a bad bit in the MCU ROM dump, and marked the MCU ROM as bad.
 [Vas Crabb]

-bus/a2bus: Fix clang build (no idea how GCC didn't fail to compile that). [Vas Crabb]

-plugins/data: properly clear history data when loading new file [cracyc]

-a2mockingboard.cpp: Fix 2 more off-by-ones in the Phasor address decoding [TomCh]

-options: simplified the statename/snapname logic for naming after image devices (e.g. %d_cart or %d_flop1) while allowing for more
 general non-alphanumeric separators, so that for instance %d_cart_%i correctly produces a name with the software name, followed by
 an underscore and an index, rather than failing to be recognized and defaulting back to %g/%i. [etabeta]

-itech8.cpp: Correct some ROM labels. Document Dyno Bop's program ROM label known to read v1.0 but it's still the v1.1 as per
 service mode. [Brian Troha]

-Update Dutch strings.po (#7924) [Jos van Mourik]
 * Added all missing strings for the Dutch language. Also made spelling and meanings more consistent after testing the menu's with
    previous translations.

-bus/a2bus: Fix Buffered Grappler+ ROM digests, use silkscreend mask IDs for labels, edit notes. [Vas Crabb]

-spkrdev: not authored by nicola, introduced in MESS 0.36r1 [hap]

-plugins/cheat: fix getting arbitrary screen [cracyc]

-megasys1.cpp: Reset the sound devices when the sound CPU is reset. This fixes the stuck note in soldam's attract mode. [AJR]

-spkrdev: fix regression with filtering [hap]

-ymf278b: Fix ID register implementation; fixes several metro games that were hanging. [Aaron Giles]

-ymfm: Don't pre-mask status bits with the status mask; apply instead at time of consumption. Fixes missing music in kickball.
 [Aaron Giles]

-ymadpcm: Initialize ADPCM-A pans and instrument volume. Fixes some homebrew neogeo sounds. [Aaron Giles]

-Fix vs2019_clang build [feos]

-ymfm: Latch the multi-frequency state at key on. Fixes sor2 punch sound on megadriv. [Aaron Giles]

-Revert "ymfm: Latch the multi-frequency state at key on. Fixes sor2 punch sound on megadriv." [Aaron Giles]
 * This reverts commit 90d6b1b29e591fe81d8d29ef45a46918478dbba3.

-ymfm: Better fix for wrong sounds in megadriv sor2; mark the system modified when the mode register is written as well.
 [Aaron Giles]

New working clones
------------------
Handle Champ (GQ710 97/12/18 VER. SAA) [Guru, smf]

New working clones
------------------
Mars Matrix: Hyper Solid Shooting (Asia 000412) [Jun Mendero]

New working clones
------------------
DrumMania (GQ881 VER. JAB) [smf]
Percussion Freaks (GQ881 VER. EAB) [smf]
Percussion Freaks (GQ881 VER. AAB) [smf]
Percussion Freaks (GQ881 VER. KAB) [smf]
Percussion Freaks (GQ881 VER. UAB) [smf]

-srumbler: correct xtal/cpu speed [jotego]

-jackal: increase soundcpu overclock hack because music broke again [Osso]

-Mac 128/512/Plus/SE: Emulate the lowpass audio filter, and fix the volume control so it correctly gets louder when the slider is
 raised in control panel instead of quieter. [Lord Nightmare]

-new NOT WORKING machines (plug+play - JAKKS Pacific etc.) [Sean Riddle] (#7892) [David Haywood]

new machines marked as NOT WORKING
----------------------------------
Hannah Montana Pop Tour - Guitar Video Game (JAKKS Pacific TV Game) (May 16 2008) [Sean Riddle]
Robotech [Sean Riddle]
Rainbow Brite (mini-arcade) [Sean Riddle]

new NOT WORKING software list entries
-------------------------------------
karaokd_cart.xml: [Sean Riddle, ClawGrip]
karaokd1 - Karao Kids Songs 1 (Spain) [David Haywood]
karaokd2 - Karao Kids Songs 2 (Spain) [David Haywood]
origkara - Original Karaoke [David Haywood]

-karaokd2: remove ROM, rename set karaokd, change to use softlist [David Haywood]

-new WORKING software list entries (#7884) [David Haywood]

new WORKING software list entries
---------------------------------
megadriv.xml [David Haywood]
fbarg96 - Futbol Argentino 96 (Argentina) (hack of J. League Pro Striker 2) [Sebastian Beltran, David Haywood]
tc2000a - TC 2000 (Argentina, protected) [Sebastian Beltran, David Haywood]

new NOT WORKING software list entries
-------------------------------------
megadriv.xml: [David Haywood]
truco96a - Truco '96 (Argentina, protected) [Sebastian Beltran, David Haywood]

New machines marked as NOT_WORKING
----------------------------------
Warp-1 (Japan) [Dillweed]

New working clones
------------------
Warp-1 (Japan, bootleg) [anonymous, Dillweed]

-itech32.cpp: Document Shuffleshot sound program as v1.1 [Brian Troha]

-bus/a2bus: More improvements for Orange Micro buffered Grappler+: [Vas Crabb, Golden Child]
 * Fixed another bad bit in microcontroller ROM dump.
 * Added rev A variant with 6 MHz microcontroller clock.

-Add %o format support to debugger printf command [AJR]

-machine/spg_renderer.cpp: Fixed incorrect handling of 2-bit blend level. (#7932) [Ryan Holtz, simer]

-roland_mt32.cpp: Added mt32 version 2.0.4 ROM dumped from newer revision board with 128K x 8 ROM. (#7933) [Brandon Munger]

New machines marked as NOT_WORKING
----------------------------------
BASF 7120 [rfka01, Dirk Best]

-fmtowns_cd.xml: 14 new dumps, 16 replacements, 4 missing floppies added (#7927) [r09]
 * Added the missing floppy images to Igo Doujou, Air Warrior V1.2L10 and Suikoden - Tenmei no Chikai [cyo.the.vile]
 * Added the missing floppy image to Viper GTS [wiggy2k]
 * Replaced the Alice no Yakata II, Europa Sensen and Hiouden II images with cleaner unmodified copies [wiggy2k]
 * Removed outdated comments and changed some serials and disk labels to reflect their actual names
 * Updated the missing list

New working software list additions
-----------------------------------
Dalk (alt floppy disk) [redump.org, wiggy2k]
Kazadama Vol. 2 - Masuo per Masuo - Ikeda Masuo Hanga-shuu [redump.org]
Kouryuuki [redump.org, wiggy2k]
Kusuriyubi no Kyoukasho [redump.org]
Psychic Detective Series Vol. 4 - Orgel (DCCS remake) [redump.org, cyo.the.vile]
Remember Beatles No. 2 - Michelle [redump.org]
Remember Beatles No. 4 - Let It Be [redump.org]
Remember Beatles No. 5 - The Long and Winding Road [redump.org]
Remember Beatles No. 6 - Imagine [redump.org]
Royal Blood [redump.org, cyo.the.vile]
Teitoku no Ketsudan [redump.org, cyo.the.vile]

New not working software list additions
---------------------------------------
Hyper Land [redump.org]
Hyper Note [redump.org]
Planet Harmony [redump.org]

Replaced software list items
----------------------------
Dalk [redump.org]
Europa Sensen [redump.org, wiggy2k]
Hyper Planet Shiki Vol. 2 [redump.org]
Igo Doujou - Honkakuha Yose Tsumego Shinan [redump.org, cyo.the.vile]
King's Bounty - Nusumareta Chitsujo [redump.org]
Morita Shougi II [redump.org]
Mr. Ed Bogas' Music Machine Lite [redump.org]
Nobunaga no Yabou - Bushou Fuuunroku [redump.org]
Nobunaga no Yabou - Tenshouki [redump.org]
Return to Zork [redump.org]
Tanjou - Debut [redump.org]
The Queen of Duellist (HME-166) [redump.org]
Wing Commander Armada [redump.org]

Software list items promoted to working
---------------------------------------
Air Warrior V1.2L10 [cyo.the.vile]
Suikoden - Tenmei no Chikai [cyo.the.vile]

-bus/a2bus: Added Orange Micro Grappler printer interface card. [Vas Crabb]

New NOT_WORKING software list additions
---------------------------------------
fm77av.xml: FM-77AV/20EX Nyumon Disk, F-BASIC V3.3L30 [sampson]

Games promoted to working
-------------------------
Kung Fu (Ace) (IMPACT) (set 1) [James Wallace]

Clones promoted to working
--------------------------
Kung Fu (Ace) (IMPACT) (set 2) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 3) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 4) [James Wallace]
Kung Fu (Ace) (IMPACT) (set 5, Whitbread) [James Wallace]

-Add bus/adb for real ADB device emulation [O. Galibert, R. Belmont]

-bus/a2bus: Suppress side effects of Grappler C0nX reads for debugger. [Vas Crabb]

-trs80: Added support for Level 1 CAS files. [Robbbert]

-h8: Add the h8/3032 [Olivier Galibert]

-mephisto_polgar.cpp: split driver into polgar, risc, milano [hap]

-mac128: Corrected raster and sound/PWM fetch timings. [R. Belmont]

-mac128: fix regression from last commit, hbl timer must fire on all scanlines now. [R. Belmont]

-mt32: fixed rom size error from recent commit. [Robbbert]

-cdu75s: start the driver [Olivier Galibert]

-basf7100: Initial floppy hookup, tries booting now [Dirk Best]

-mephisto_milano: don't use mmboard device [hap]

-unidasm: Add preliminary MN1860 disassembler (still missing a few opcodes due to lack of documentation) [AJR]

-mn1880d.h: Fix comment [AJR]

New working clones
------------------
Diablo 68000 (set 1) [Berger]

New working clones (#7940)
--------------------------
Heavyweight Champ (set 2) [Victor Fernandez (City Game)]

-Allow breaking into main menu before the machine fully starts (i.e. just before the initial soft reset) by using the normal "Config
 Menu" UI input [AJR]
 * Note that the minor code shuffling in machine.cpp is necessary to prevent emulation from getting confused if "Select New Game"
    happens to be selected.

-suprgolf.cpp: fixed GFX ROMs loading for albatross. Still needs correct controls to be considered playable [Ivan Vangelista]

-mephisto_mondial.cpp: split driver file into mondial/mondial2 [hap]

-Adding technical details on the SVP chip internal ROM and fixing start address (#7944) [Javier de Silóniz Sandino]

-pc98_cd.xml: sync with the FM Towns softlist (#7943) [r09]
 * Added the missing floppy image to Lipstick Adventure 3 [r09]
 * Added/replaced all hybrid CDs known so far with the CHDs from the FM Towns softlist, and added some new entries from Redump
    (details below)

New working software list additions
-----------------------------------
Alice no Yakata 3 (1995-05-16) [redump.org]
Bell's Avenue Vol. 1 [redump.org]
Bell's Avenue Vol. 2 [redump.org]
Bell's Avenue Vol. 3 [redump.org]
Gakuen Bakuretsu Tenkousei! [redump.org]
Hana no Kioku - Dainishou [redump.org]
if 1-2-3 CD Collection [redump.org]
Ikazuchi no Senshi Raidy 2 (1996-08-01) [redump.org]
Kousoku Choujin [redump.org]
Mahjong Gensoukyoku II - Mahjong Fantasia [redump.org]
Mahjong Gensoukyoku III - Mahjong Fantasia the 3rd Stage [redump.org]
Misato-chan no Yume Nikki [redump.org]
Never Land [redump.org]
Special & Delicious! Original CD-ROM [redump.org]
Time Stripper Mako-chan [redump.org]
Toushin Toshi II (1995-04-26) [redump.org]
Trigger 2 [redump.org]

Replaced software list items
----------------------------
Alice no Yakata 3 (1995-06-19) [redump.org]
Angel [redump.org]
Angel Halo [redump.org]
Ballade for Maria [redump.org]
De.FaNa [redump.org]
Desire - Haitoku no Rasen [redump.org]
Doki Doki Disk CD-ban Dai-1-kan - Club D.O. Jimukyoku [redump.org]
D.P.S. Zenbu [redump.org]
Emit Vol. 1 - Toki no Maigo [redump.org]
Hana no Kioku [redump.org]
Ikazuchi no Senshi Raidy [redump.org]
Innocent Tour [redump.org]
Koko wa Rakuensou [redump.org]
Koko wa Rakuensou 2 [redump.org]
Kusuriyubi no Kyoukasho [redump.org]
Menzoberranzan - Yami no Monshou [redump.org]
Mugen Houyou [redump.org]
Necronomicon [redump.org]
Only You - Seikimatsu no Juliet-tachi [redump.org]
Ring Out!! [redump.org]
Rinkan Gakkou [redump.org]
Running Girls - Hashiri Onna II + Rance 4.1 / 4.2 Hint Disk [redump.org]
Sayonara no Mukougawa [redump.org]
Touch My Heart [redump.org]
Toushin Toshi II - Soshite, Sorekara... [redump.org]
Viper CTR - Asuka [redump.org]
Xenon - Mugen no Shitai [redump.org]
Zatsuon Ryouiki [redump.org]

-ymadpcm: Fix coverity issue, document differences between YM2608/10 and Y8950 DAC formats. [Aaron Giles]

New working clones
------------------
Narc (rev 6.00) [Brian Troha]
Trog (rev LA3 2/10/91) [Brian Troha]
Trog (prototype, rev PA5-PAC 8/28/90) [Brian Troha]

New working clones
------------------
NBA Jam TE (rev 4.0 3/03/94) [Brian Troha]
NBA Jam TE (rev 3.0 2/26/94) [Brian Troha]
NBA Jam TE (rev 2.1 2/06/94) [Brian Troha]

-midxunit.cpp: Add Sound software release 2 to the Revolution X (rev 1.0 6/16/94) set. [Brian Troha]

New working clones
------------------
NBA Hangtime (ver L1.3 10/10/96) [Brian Troha]
NBA Hangtime (ver M1.3 10/10/96) [Brian Troha]
NBA Hangtime (ver L1.2 8/29/96) [Brian Troha]
NBA Hangtime (ver M1.2 8/29/96) [Brian Troha]
NBA Hangtime (ver M1.1 4/16/96) [Brian Troha]
NBA Maximum Hangtime (ver M1.0 11/08/96) [Brian Troha]
NBA Maximum Hangtime (ver L0.9 10/30/96) [Brian Troha]

-trs80m3: Added support for JV3 disks (not working) [Robbbert]

-trs80l2: cleaned a few things from last commit. [Robbbert]

-Added partial dumps of security dongles for Twinkle 1st style and Substream variants. (#7870) [Jennifer Taylor]

Machines promoted to working
----------------------------
Bare Knuckle II (Chinese bootleg of Megadrive version) [ShouTime]

-snesb.cpp: redumped u16 ROM for sblast2ba [ShouTime]

-suprgolf.cpp: updated albatross to fill in the missing ROMs with the world version ones instead of the Japanese version ones, as
 the dumped ROM matches 100% the world version one and not the Japanese one. [Ivan Vangelista]

New clones marked as NOT_WORKING
--------------------------------
Invinco / Head On 2 (set 2) [Callan Brown]

-hornet.cpp: redumped comm board ROMs. Game now boots. Also corrected a couple of ROM locations [Porchy, The Dumping Union]

-added device for 1st version of mephisto display module [hap]

-ap_dsk35: Punt 1.44MB dc42 images to the PC MFM handler, which knows how to read them [R. Belmont]

-mephisto_glasgow.cpp: split driver file into glasgow/amsterdam [hap]

-asteroid.cpp: Fix typo in ROM name as pointed out by JacKc. [Brian Troha]

-segas16b.cpp: Make Heavyweight Champ (set 2) a clone of the parent as pointed out by MASH [Brian Troha]

-jv3: Added protection against oversized disks. [Robbbert]

-jv3: used osd_printf_error [Robbbert]

-trs80m3: fixed a graphics error [Robbbert]

Machines promoted to WORKING
----------------------------
Beatmania III Append Core Remix [Eric Holniker]
Beatmania III Append 6th Mix [Eric Holniker]

-midyunit.cpp: Don't split the PCB layout information. [Brian Troha]

-midyunit.cpp: Add documentation about the known NARC sound program ROMs and sound data. [Brian Troha]

-mephisto_montec.cpp: split driver file into montec/smondial [hap]

-montec: small fix to input defs [hap]

-PGM updates [JacKc]: [Ivan Vangelista]
 * Added kov and kov114 sets redump. Confirmed actual dumps are good [XeD]
 * Corrected ROMs labels for kov set and orlegend105k set
 * PGM documentation update according to PCBs scans

-cdu75s: Add some comments [Olivier Galibert]

-swp30: Make the stream synchronous, add dummy-ish internal register read, more logging [Olivier Galibert]

-imd: do the number of tracks test only on 5.25, 8" and 3.5" is always 80, 3" is always 40 [Olivier Galibert]

-pmac6100: CDROM support which blows up [Olivier Galibert]

-a2600: Minor changes [Olivier Galibert]

-mac128: Fix audio DC offset when /SNDRES is active and fix DC offset to more correctly reflect the way the 8-bit counter for audio
 PWM works. Fixes audio in Lode Runner (and likely any other software which uses the sound manager "swMode" for square waves).
 [Lord Nightmare]

-mm_dsk: Add missing terminator [Olivier Galibert]

-taito_z: add electronic shutters for contcirc 3d scope [hap]

-ui: add separator before 'return to previous menu' [hap]

-contcirc: add shifter to 3d scope views [hap]

-smartboard: less led flicker [hap]

-smartboard: typo [hap]

-taito_z: add 3d scope view for enforceja [hap]

-buggyboy.lay: use <collection> for shifter [hap]

-jv3: fixed a data pointer bug [Robbbert]

-jv3: fixed gap sizes, some disks can boot [Robbbert]

-outrun.lay: use <collection> for shifter [hap]

-playmark.cpp: added preliminary sound to wbeachvla by adapting the sslam.cpp code for powerbals [Ivan Vangelista]

-basf7100: More floppy work, system loads data from disk now [Dirk Best]
 * Also hook up main CPU ROM and PPIs.

-views: Invalidate the caches on bank selection change [O. Galibert]

-basf7100.cpp: Fix clang error: reference to non-static member function must be called [AJR]

Games promoted to working
-------------------------
Money Talks (JPM) (IMPACT) (MT5 L17) (set 1) [James Wallace]

Clones promoted to working
--------------------------
Money Talks (JPM) (IMPACT) (MT5 I L17) (set 2) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 L12) (set 3) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 P L12) (set 4, Protocol) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 A L12) (set 5) [James Wallace]
Money Talks (JPM) (IMPACT) (MT3 P GL12) (set 6, Protocol) [James Wallace]
Money Talks (JPM) (IMPACT) (MT7 L19) (set 7) [James Wallace]
Money Talks (JPM) (IMPACT) (MT7 P L19) (set 8, Protocol) [James Wallace]
Money Talks (JPM) (IMPACT) (MT7 A L19) (set 9) [James Wallace]

-h8: Fix disassembly of abs16 [Olivier Galibert]

-qx10: Enable drive B motor when doing a write motor on register [Brian Johnson]

-cdu415: Add skeleton [Olivier Galibert]

-jv3: added save support. It doesn't work due to an emulation bug in the main machine. [Robbbert]

-corona/simultano: use memory_view instead of bankdev (big improvement according to -bench 10) [hap]

-jv3: better validation; honour readonly flag [Robbbert]

-omegrace: fix cocktail spinner input [dink, hap]

-omegrace: rename a function [hap]

-outrun: add note [hap]

-trs80m2: update of hash file [Robbbert]

-ti99: Change floppy step rate defaults. Change Corcomp controller monoflop config. [Michael Zapf]

-qx10: Implement Sound/Speaker (#7955) [Brian Johnson]

-Added Konami 007452 multiplier/divider (#7951) [Furrtek]
 * Added 007452 multiplier/divider, fixes rolling mines trajectories in contra
 * Plugged k007452 in combatsc, flkatck, wecleman

-msx2_flop: put dslayer4 in cart2disk hacks list [hap]

-wd177x_dsk.cpp: Fix a bug that caused creation to crash for some subformats [AJR]

-Allow UI file manager to create floppy images before machine is started [AJR]

-floppycntrl.cpp: Fix mistake in 2f4d7eec4e3faeab1d95ece39cfb80263d792909 [AJR]

new WORKING clones
------------------
JoJo's Venture (Asia 990128) [XeD, MetalliC]
JoJo's Venture (Asia 990108) [XeD, MetalliC]
JoJo's Venture (Asia 981202) [XeD, MetalliC]

-NAOMI and SP docs (nw) [MetalliC]

-basf7100: CPU executes loaded code, initial video [Dirk Best]
 * Add shared RAM
 * Implement bootrom disable and main CPU NMI
 * Initial video output using the charrom of another system

-tasc/chessmachine/modular_tm: use install_ram/rom for the bootrom bankswitch (small speed optimization) [hap]

New working clones
------------------
Out Run (sitdown/upright, Rev B) (Enhanced Edition v2.0.3) [hap]
Out Run (deluxe sitdown) (Enhanced Edition v2.0.3) [hap]

-qx10.cpp: DeMorgan is your friend. [Vas Crabb]

-machine/k007452.cpp: Be more paranoid with intger promotion/truncation. [Vas Crabb]

-Adjust some comments. [Vas Crabb]

-ui: hide child nodes (collapse menu) if a .lay collection is disabled [hap]

-layouts: put shifter position in <collection> instead of separate views, with setting for opaque shifters [hap]

New working software list additions (#7920)
-------------------------------------------
Thomas & Friends - Engines Working Together (USA, alt) [Skaman]

-ibm5170 - New working software list addictions (#7928) [ArcadeShadow]
 * Darklands (3.5"), Darklands (5.25") [The Good Old Days] DOOM (v1.666) [The Good Old Days] DOOM (v1.2, shareware, Titanium Seal
    release) [Archive.org] Inherit the Earth: Quest for the Orb [The Good Old Days] Stronghold [The Good Old Days]

-ibm5150 - New working software list additions (#7947) [ArcadeShadow]
 * Dragon Spirit [The Good Old Days] Hyperspeed [The Good Old Days] International Soccer Challenge (Virtual Reality Vol. 1
    compilation) [The Good Old Days] The Black Cauldron [The Good Old Days]

-spectrum_cass - New working software list additions (#7948) [ArcadeShadow]
 * New working software list additions Circus (Channel 8) [spectrumcomputing.co.uk] Esquizóides [Planeta Sinclair] Fighter Pilot
    (ABC Soft) [worldofspectrum.org] Fighter Pilot (Zafi Chip) [worldofspectrum.org] Fighter Pilot (Z Cobra) [worldofspectrum.org]
    Fighting Warrior (Erbe) [spectrumcomputing.co.uk] Fighting Warrior (small case, Erbe) [spectrumcomputing.co.uk] Thundercats
    (MCM, small case) [worldofspectrum.org] Space Racer [spectrumcomputing.co.uk] Target: Renegade (Erbe)
 * Update metadata (year + publisher + cloneof) in various entries

-New NOT_WORKING software list additions (#7956) [ClawGrip]

New NOT_WORKING software list additions
---------------------------------------
leapfrog_ltleappad_cart.xml: [ClawGrip]
Tierbabys (Germany), Disney Puuh mag dich! (Germany), Was wäre, wenn ...? (Germany) [TeamEurope]

-Change XML attributes order [ClawGrip]

-Add Franklin ACE 1000 as a clone of the Apple ][+ (#7953) [christopherkobayashi]

-a800_flop.xml: add several verified .atr dumps from a8sp (#7959) [quasiscroto]
 * a800_flop.xml: add several verified .atr dumps from a8preservation.com
 * typo in a disk image file name

-Fix compilation with Emscripten versions greater than 2.0.8 (#7794) [Sam Clegg]

New machines marked as NOT_WORKING
----------------------------------
Lobo Max-80 [Robbbert]

-tx1: fix array out of bounds crash [hap]

-dogfgt: longer title for japan version [hap]

-basf7100: Small fix to screen rendering [Dirk Best]

-sound: Pulseaudio support [Olivier Galibert]

-sound: Don't go down to the osd on redundant mute calls (like vgmplay's 44100 times per second) [Olivier Galibert]

-smartboard: add safeguards for invalid read [hap]

-smartboard: use switch/case instead of if/elseif/elseif [hap]

-smartboard: get rid of that "+1" correction for every piece id [hap]

-mc68hc11: Fix bug causing DES to decrement IX rather than the stack pointer [AJR]

-asma2k: Dump and hook up spell check ROM; fix keyboard [Lord Nightmare, AJR]

New machines marked as NOT_WORKING
----------------------------------
Junior-80 [Robbbert]

-applix: Fix crash in debug build [AJR]

-smartboard: fix problem when playing with leds disabled [hap]

-tasc.lay: make the cpanel smaller [hap]

-Revert "ui: hide child nodes (collapse menu) if a .lay collection is disabled" [hap]
 * This reverts commit 0e8a9b2f92566ff201fe8efbfff079f420b656da.

-Revert "layouts: put shifter position in <collection> instead of separate views, with setting for opaque shifters" [hap]
 * This reverts commit a6a38853991c7c90de50c2097848618873ef535e.

-undo the rest of <collection> shifter options [hap]

-nscsi: Add dump and skeleton device for Sony CDU561-25 CD-ROM drive [Bitsavers]

Machines promoted to working
----------------------------
Warp-1 (Japan) [Ivan Vangelista, hap]

-Added recently-dumped daiohp2 set (#7966) [MooglyGuy]

New working machines
--------------------
Daioh (prototype, earlier) [CoolMod, Caius, The Dumping Union]

-Updated compiling document to reflect that MSVC 2019 is working and recommended. [Stiletto]

Source Changes
--------------
Updated compiling document to reflect that MSVC 2019 is working and recommended. [Stiletto]

-nb1412m2: make clock input same for all drivers [hap]

-dai3wksi: fix clang compile [hap]

-dai3wksi: update notes [hap]

-ui: add message when trying to config unavailable machine inputs [hap]

-CM-32P: support PCM cards, add U-110 card softlist [Valley Bell]

-warp1bl: add color overlay [hap]

New machines marked as NOT_WORKING
----------------------------------
Elektronikladen Elzet 80/K [Robbbert]
Elektronikladen Elzet 80/P [Robbbert]

-elzet80: corrected the manufacturer. [Robbbert]

-nb1412m2: Fixed some Mighty Guy sound issues (#7961) [sasuke-arcade]
 * Fixed various sound issues in Mighty Guy so that it sounds almost exactly like PCB.
   - Fixed BGM tempo was unstable. The frequency setting of DAC and timer clock are now linked. When changes the DAC clock, Sound
      driver set wait loop count ($C010) in the range of 2 to 4 in order to keep the tempo of BGM even if changed clock. This was
      the cause of the slow BGM in previous versions.
   - Fixed DAC clock calculation. I changed this so that sound plays same as PCB.
   - Implemented a protect command 0x11 to stop the DAC. This is needed to stop DAC sound when the psycho gun is stopped.

-seta.cpp (daiohp2) - Updated PAL/GAL equations to converted binary files. [Scott Stone]

-trs80: fixed ic locations [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
EACA Video Genie EG3003 [Robbbert]

-risc2500: add soft power-off [hap]

New machines marked as NOT_WORKING
----------------------------------
Intellec 8 MCS [Robbbert]

-fixed compile error with gcc 10.2 64bit. [Robbbert]

-subhuntr.cpp: Start to flesh out the skeleton - still nowhere near close to working. [Vas Crabb]

-radionic: Split radionic to its own source. [Robbbert]

-lnw80: used derived class to reduce number of duplicate functions. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Roland PR-100 Digital Sequencer [AJR, Valley Bell]

new NOT_WORKING machine
-----------------------
Aminosan (satellite) [Darksoft, rtw, MetalliC]

Games promoted to working
-------------------------
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 1) [James Wallace]

Clones promoted to working
--------------------------
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 2) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 3) [James Wallace]
"Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO13 C24) (set 4, Whitbread) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 L22) (set 5) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11P L22)(set 6, Protocol) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 AL22 (set 7) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 L22) (set 8, Whitbread) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 IL22) (set 9) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO11 IL22) (set 10) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO8 L16) (set 11) [James Wallace]
Monopoly 60th Anniversary Edition (JPM) (IMPACT) (MO3 L11) (set 13) [James Wallace]

-megadriv - Update Year info on 11 entries [ArcadeShadow]
 * Super Kick Off : 1992 -> 1993 [https://segaretro.org/Super_Kick_Off] Fantastic Dizzy : 1991 -> 1993
    [https://segaretro.org/Fantastic_Dizzy] Sensible Soccer - International Edition : 1993 -> 1994
    [https://segaretro.org/Sensible_Soccer:_International_Edition] Double Clutch : 1992 -> 1993
    [https://segaretro.org/Double_Clutch] Hook : 1992 -> 1993 [https://segaretro.org/Hook] Prince of Persia : 1993 -> 1994
    [https://segaretro.org/Prince_Of_Persia] NBA All-Star Challenge : 1992 -> 1993 [https://segaretro.org/NBA_All-Star_Challenge]
    Stimpy's Invention : 1993 -> 1994 [https://segaretro.org/The_Ren_%26_Stimpy_Show_Presents_Stimpy%27s_Invention] The Lost Vikings
    : 1993 -> 1994 [https://segaretro.org/The_Lost_Vikings] The Chaos Engine (Euro) : 1992 -> 1994
    [https://segaretro.org/The_Chaos_Engine]
 * Update Description: Lotus II -> Lotus II: RECS [https://segaretro.org/Lotus_II:_RECS]

-forgot hit save (nw) [MetalliC]

-cdu561_25: Add third BIOS dump; add info on CXD2568M; correct typo [Bitsavers]

-u110_card.xml: Fix validation errors in 6f576131989b64ceb09c6ccee5f4122f29d5c84c [AJR]

-wy85: Add alternate revision of program ROM [Bitsavers]

-cdu75s: Add internal rom dump [Al Kossow]

-thomson: Turn the extensions into slot devices, modernize the floppies [Olivier Galibert]

-New machines marked as NOT_WORKING (#7904) [Angelo Salese]
 * pc9801.cpp: proper ipl ROM dump for pc486mu [flyingharuka]

New machines marked as NOT_WORKING
----------------------------------
PC-386M [flyingharuka]

New clones marked as NOT_WORKING
--------------------------------
PC-486SE [flyingharuka]
PC-9821Xa16 [flyingharuka]
PC-9821Ra20 (98MATE R) [flyingharuka]
PC-9821Ra333 [flyingharuka]

-pc9801.cpp: update QA [Angelo Salese]

-pc9801.cpp: move several SW notes from main driver to XML [Angelo Salese]

-pc9801.cpp: Make Epson machines to derive parent-clone relationship from pc486mu [Angelo Salese]

-pc9801.cpp: Backport ROM bankswitch to pc486mu, making it to ERR:VR too, promote pc386m to parent romset since it definitely
 diverge [Angelo Salese]

-pc88va.cpp: correct main CPU to V50; [Angelo Salese]

-pc9801.cpp: rearrange system metadata, in prevision of actual state machine splits; [Angelo Salese]

-pc9801.cpp: fix mouse input when in absolute mode (prinmak2, tim, pentium) [Angelo Salese]

-pc9801.cpp: improve mouse latch/delta readback, fix biblems2 regression [Angelo Salese]

-pc9801.cpp: finalize QA notes [Angelo Salese]

-pc98.xml: fix validation, add some extra QA notes [Angelo Salese]

-pc9801.cpp: QA update over feedback by cracyc [Angelo Salese]

-thomson,bm3: Correct compile errors due to incorrectly pushing a not entirely mature patch (but good enough for a start)
 [Olivier Galibert]

-smartboard: add support to connect it to pc printer port [hap]

-smartboard: add internal artwork for the pc version [hap]

-dai3wksi: update note [hap]

-mame.lst, mess.lua: Fix build errors from c037dfd82238537752e2078f52a3276badfbff83 [AJR]

-basf7100: Hook up interrupt controller, keyboard [Dirk Best]
 * Hooked up PIC and connected keyboard and vblank interrupts
 * Implemented HLE keyboard (all keys mapped, using the translation ROM for keycodes)
 * Increased shared memory to 40k
 * Fixed interrupt flags register
 * Implemented cursor and roll offset

-smartboard: add user config to allow duplicate piece ids [hap]

-mn1860: Recognize two more opcodes in disassembly [AJR]

-mn1860: Identify another 2 opcodes in disassembly [AJR]

-smartboard: changes to make tasc smartboard test program work [hap]

-model1.cpp: Add main NVRAM used for bookkeeping [AJR]

-mn1880d.cpp: Minor documentation fixes [AJR]

-Purge various obsolete and redundant #includes [AJR]

-System 906-III improvements: [Roberto Fresca, Grull Osgo]
 * Reworked a lot of things to get the platform playable.
 * Switched to Rockwell R65C02 CPU.
 * Added missing inputs, timers, clocks and connections.
 * Renamed Game 58.01 to CEI 51.08 (CEI 906-III Poker).
 * Added new games to the platform.

New working machines
--------------------
Casino 21 UCMC/IWC (ver 30.08) [Roberto Fresca, Grull Osgo]
Poker UCMC/IWC (ver 162.03) [Roberto Fresca, Grull Osgo]
Poker UCMC/IWC (ver 162.03 20-6-91) [Roberto Fresca, Grull Osgo]

Machines promoted to working
----------------------------
CEI 51.08 (CEI 906-III Poker) [Roberto Fresca, Grull Osgo]

-Corrected 906-III memory map documentation. [Roberto Fresca]

-basf7100: Improve video rendering [Dirk Best]

-rx01: Preliminary, untested host interface [AJR]

New working software list additions
-----------------------------------
ibm5170: SmartBoard Driver (DOS), SmartBoard Driver SDK (Win32) [hap]

-trs80: used array of floppy drives [Robbbert]

-twinspri: Fix missing samples by masking the ADPCM-A end address properly. [Aaron Giles]

-upd7220: Fixed mixed mode display area partition parsing [Brian Johnson]

-upd7220: Support DMAW and DMAR commands [Brian Johnson]

-rfslots8085.cpp: The PCB only has 6 dipswitches (#7983) [ClawGrip]
 * rfslots8085.cpp: The PCB only has 6 dipswitches
 * Add anonymous namespace

-ibm5170: fix validity error [hap]

-radionic: fixed rtc, and floppy reading. Confirmed crystals. [Robbbert]

-clifront: -romident has no use for mediapath, but it does use hashpath [hap]

-media_ident: add space to prevent long strings concat when printing results [hap]

-qx10: allocate enough vram for color mode [Brian Johnson]

-ymfm: Check for decay->sustain transitions even if we just transitioned from attack->decay. Affects the cymbal sounds in shinobi.
 [Aaron Giles]

-radionic: added colour [Robbbert]

-kp = should be 0x106 (#7973) [ksherlock]

-rfslots8085.cpp: fix typo on game name (#7982) [ClawGrip]

-radionic: added rs232 [Robbbert]

-radionic: PPI and documentation. [Robbbert]

New working clones
------------------
Compact Computer 40 Plus (prototype) [hap, Jon Guidry]

-travrusa.cpp - hold vblank interrupt for the whole of the vblank period, allowing it to retrigger in some cases - improves shtrider
 countdown sync at start of race (#7989) [David Haywood]

-segas16a/sega16b tweaks - change when video is updated (for fantzone) - bump quantum time for 16a cases with MCU (for quartet stage
 18) (#7987) [David Haywood]

-laserbat.cpp: Quantise area effect 2/shell effect for catnmous. (#7964) [Vas Crabb]

-lnw80: added HI-LO switch; enabled CAS files. [Robbbert]

-cyclemb.cpp: Improve input, sound, flip screen, and dip switches (#7979) [sasuke-arcade]
 * cyclemb.cpp: Improve input, sound, flip screen, and dip switches
   - Support for correct input of Cycle Maaboh roller controller. Previous inputs did not work correctly. This made it impossible to
      clear stage 3 and later, which requires roller inputs.
   - Fixed possibly incorrect handling of sound latch. Fixed issue where Cycle Maaboh would not play the stage music. Previously,
      command to get input was being overwritten by sound latch.
   - Support I/O input for hiding screen. Screen switching at start of a stage is now correct.
   - Fixed position of tilemap in flip screen of Cycle Maaboh.
   - Added support for Sky Destroyer flipscreen.
   - Fixed dipswitches. Removed definition of unused bits for non-dipswitch inputs. Added some dipswitch definitions.
   - Implemented work RAM switching for sprites. Games on this board used to switch two sprites work RAM every frame. This
      implementation improved the frame rate of the sprites.

-neptunp2.cpp: Add 'ccorsario' program ROM and improve hardware documentation [jordigahan, ClawGrip]

-System 906-III improvements... [Roberto Fresca, Grull Osgo]
 * Proper inputs for the IWC poker games.
 * Fixed/Improved the interrupts system.
 * Preliminary button-lamps support.
 * Simplified and partially cleaned the code.
 * Added technical notes.

-jack.cpp: Add raw screen timing parameters based on schematics [AJR]

-calomega.cpp More cleanups... (nw) [Roberto Fresca]

-sound: Fix wrapping bug when using fill/copy/bulk-add on write_stream_views [Aaron Giles]

-lnw80: hires and color pass the test programs. Added a prom. [Robbbert]

-basf7100: Small gfx fix, update charrom [Dirk Best, rfka01]

-basf7100: Hook up COM8116 and switches [Dirk Best]

New working clones
------------------
Point Blank 2 (Unknown region) [Guru]

-kaypro: added back support for kay/dsk images. [Robbbert]

-meritum: added ic numbers [Robbbert]

-mips3: Ensure there is at least 1 cycle to be counted after reading Count. Without this, some timing loops won't exit to the
 scheduler until they complete. [Aaron Giles]

-a800_flop.xml: more floppy soft additions (#7991) [quasiscroto]
 * Oops, Phobos works provided you have joystick properly mapped!
 * Add 9 games in .atr format from a8sp

-risc2500/tasc: fixed high pitched sound problem [hap]

New working clones
------------------
Funky Jet (World, alternate demo) [xuserv, juking]

-stfight.cpp: Remove YM2203 frequency hack, and set prescaler at machine_start (#7992) [sasuke-arcade]

-stfight: use device_array for ym2203 [hap]

-mn1860: Reassign another pair of opcodes for disassembly [AJR]

-a2gameio/joystick.cpp: Fix MT 7953 [AJR]

-mpangu: correct QSound sample loading [Barry Rodewald]

-basf7100: Hook up centronics port [Dirk Best]

-nl_segas16b: fix two capacitor labels (#7950) [enikland2]

-mn1860: Finish disassembly [AJR]

-basf7100: Preliminary RS232 hookup [Dirk Best]

-fix arcade target link [hap]

-risc2500: update note [hap]

-upd7220: fix copy paste bug in DMA handling [Brian Johnson]

New working software list additions
-----------------------------------
ibm5150.xml: Control Panel [famiclone]

-fmtowns_cd.xml: 29 new dumps, 13 replacements, 1 missing floppy added (#7974) [r09]
 * Special thanks to everyone who participated in the fundraiser to acquire and dump most of these (cyo.the.vile, F1ReB4LL,
    rockleevk, Wiggy2k).
   - Added the missing floppy image to Taiken Shiyou! Marty Channel [wiggy2k]
   - Added the missing floppy image to Air Warrior V1.1 [al32gabby]
   - Replaced the Inindou and Star Cruiser II floppy images with cleaner unmodified copies [cyo.the.vile]
   - Added the bonus audio CD that was included with Bible Master [redump.org]

New working software list additions
-----------------------------------
California X Party - Joshi Daisei Himitsu Club [redump.org, al32gabby]
Castles II - Bretagne Touitsu Senki / Castles II - Siege & Conquest [redump.org]
CD-ROM Bishoujo Senshi Collection - Yuu Disc Special [redump.org]
Collector D [redump.org]
Diamond Players [redump.org, al32gabby]
if - Invitations from Fantastic Stories [redump.org]
Jinmon Yuugi [redump.org]
Kanade V1.1L20 [redump.org]
Kamimura Kei no Sexy Resort - Momoiro Quiz [redump.org]
Kamimura Kei no Sexy Telephone - Pink no Hanayome [redump.org]
Kikou Shidan - Panzer Division II [redump.org, al32gabby]
Meisou Toshi [redump.org]
Moonlight Energy [redump.org]
Nostalgia 1907 - In North Atlantic Sea [redump.org]
Obaachan no Chiebukuro [redump.org]
Palamedes [redump.org]
Private Slave [redump.org, al32gabby]
Psychic Detective Series Vol. 1 - Invitation (DCCS remake) [redump.org, cyo.the.vile]
Reijou Monogatari [redump.org]
Sexy in the Hawaii - Nice Gal Hawaii-hen [redump.org]
Tania [redump.org]
That's Toukou Part 1 [redump.org]
Theme Park [redump.org]
Tokyo Sexy Ave. - Tokyo Genshi Machi [redump.org, al32gabby]
URM - M15 Wakusei ni Umarete [redump.org]
Vanishing Point - Tenshi no Kieta Machi [redump.org]
Yumeutsutsu - Dreamy [redump.org]

New not working software list additions
---------------------------------------
Band-kun [redump.org, al32gabby]
The 4th Unit 7 - Wyatt (demo) [redump.org]

Replaced software list items
----------------------------
Bell's Avenue Vol. 2 [redump.org]
Hoshi no Suna Monogatari 2 [redump.org]
Hoshi no Suna Monogatari 3 [redump.org]
J. R. R. Tolkien's The Lord of the Rings, Vol. II - The Two Towers [redump.org]
Märchen Toshokan - Grimm Douwa - Akazuki [redump.org]
Marine Philt [redump.org]
Musium Towns [redump.org]
Puzznic [redump.org]
Sakura no Mori [redump.org]
Shinc [redump.org]
Sid Meier's Railroad Tycoon [redump.org]
Star Cruiser II - The Odysseus Project [redump.org, cyo.the.vile]
Suikoden - Tenmei no Chikai [redump.org]

Software list items promoted to working
---------------------------------------
Air Warrior V1.1 [al32gabby]

-Apple softlist update for April 2021 (#7997) [Firehawke]
 * Correct bad hash for MECC-A785 Writing a Character Sketch

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Kampfgruppe (Version 1.0) (cleanly cracked) [4am, san, Firehawke]
Warriors of RAS Volume IV: Ziggurat (cleanly cracked) [4am, Firehawke]
GATO (Version 1.2) (cleanly cracked) [4am, Firehawke]
Trivia Fever (cleanly cracked) [4am, Firehawke]
MECC-A726 Spelling Volume 1: Primary (Version 3.1) (cleanly cracked) [4am, Firehawke]
MECC-A728 Spelling Volume 2: Secondary (Version 2.0) (cleanly cracked) [4am, Firehawke]
MECC-A728 Spelling Volume 2: Secondary (Version 3.1) (cleanly cracked) [4am, Firehawke]
MECC-A731 Elementary Volume 7: Pre-Reading and Counting (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A731 Elementary Volume 7: Pre-Reading and Counting (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A733 Elementary Volume 9: Geometry (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A733 Elementary Volume 9: Geometry (Version 2.1) (cleanly cracked) [4am, Firehawke]
MECC-A734 Elementary Volume 10: Geometry (Version 1.1) (cleanly cracked) [4am, Firehawke]
Algebra Volume 4 (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A735 Elementary Volume 11: Language Arts (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A736 Elementary Volume 12: Language Arts (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A736 Elementary Volume 12: Language Arts (Version 2.0) (cleanly cracked) [4am, Firehawke]
MECC-A737 Mathematics Volume 2: Measurement (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A738 Mathematics Volume 3: Geometry (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A738 Mathematics Volume 3: Geometry - (Limited Boot Backup) (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A743 Elementary Volume 13: Nutrition (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A746 English Volume 1: Parts of Speech (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A746 English Volume 1: Parts of Speech (Version 1.4) (cleanly cracked) [4am, Firehawke]
MECC-A749 School Utilities Volume 2: Readability (cleanly cracked) [4am, Firehawke]
Algebra Volume 3 (Revision 0) (cleanly cracked) [4am, Firehawke]
MECC-A751 Health Maintenance Volume 2: Assessment (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A752 Nutrition Volume 1 (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A753 Nutrition Volume 2 (Version 1.5) (cleanly cracked) [4am, Firehawke]
MECC-A757 Computer Generated Mathematics Materials Volume 1: Problem Solving (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A758 Computer Generated Mathematics Materials Volume 2: Problem Solving (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A771 Grade Manager (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A771 Grade Manager (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A771 Grade Manager Revised Edition (Version 2.1) (cleanly cracked) [4am, Firehawke]
MECC-A771 Grade Manager Revised Edition (Version 2.2) (cleanly cracked) [4am, Firehawke]
MECC-A771 Grade Manager Revised Edition (Version 2.3) (cleanly cracked) [4am, Firehawke]
Strip Poker (cleanly cracked) [4am, Firehawke]
MECC-A773 Growgins' Fractions (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A773 Growgins' Fractions (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A774 Adventures with Fractions (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A775 EZ Logo (Version 2.0) (cleanly cracked) [4am, Firehawke]
MECC-A776 Writing a Narrative (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A776 Writing a Narrative (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A777 Blissymbolics: Blissymbol Concepts (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A779 The Friendly Computer (Version 1.5) (cleanly cracked) [4am, Firehawke]
MECC-A780 Mind Puzzles (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A780 Mind Puzzles (Version 1.3) (cleanly cracked) [4am, Firehawke]
PlayWriter: Mystery (cleanly cracked) [4am, Firehawke]
MECC-A781 Oh, Deer! (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A784 Problem-Solving Strategies (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A784 Problem-Solving Strategies (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A785 Writing a Character Sketch (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A785 Writing a Character Sketch (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A788 Early Addition (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A788 Early Addition (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A810 Experiencing Procedures (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A811 The Three R's of Microcomputing (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A813 Processing Words (Version 1.0) (cleanly cracked) [4am, Firehawke]
Dragon's Keep (Version 1984-06-05) (cleanly cracked) [4am, Firehawke]
MECC-A822 Nutrition (Version 1.0) (cleanly cracked) [4am, Firehawke]
Quizagon (cleanly cracked) [4am, Firehawke]
Pensate (cleanly cracked) [4am, Firehawke]
Risk (Version 1.4) (cleanly cracked) [4am, Firehawke]
Clue (Version 1.5) (cleanly cracked) [4am, Firehawke]
The Computer Edition of Scrabble (cleanly cracked) [4am, Firehawke]
The Voyage of the Valkyrie (cleanly cracked) [4am, Firehawke]
Cytron Masters (cleanly cracked) [4am, san, Firehawke]
Computer Baseball 1983 Teams Disk (cleanly cracked) [4am, san, Firehawke]
Six-Gun Shootout (cleanly cracked) [4am, san, Firehawke]
Compuzzler (cleanly cracked) [4am, Firehawke]
Algebra Action (cleanly cracked) [4am, Firehawke]
Wizard's Crown (Version 1.2) (cleanly cracked) [4am, Firehawke]
Odyssey in Time (cleanly cracked) [4am, Firehawke]
Forbidden Quest (cleanly cracked) [4am, Firehawke]
Flying Tigers (Version 1.3) (cleanly cracked) [4am, Firehawke]
Apple How To: Lessons in Computing and Calculating (cleanly cracked) [4am, san, Firehawke]
The Desecration (cleanly cracked) [4am, san, Firehawke]
Just Around The Block (cleanly cracked) [4am, Firehawke]
Depreciation Log (cleanly cracked) [4am, Firehawke]
Adventures in Space (cleanly cracked) [4am, Firehawke]
Utopia Graphics Tablet System (cleanly cracked) [4am, san, Firehawke]
The School Tool (cleanly cracked) [4am, Firehawke]

-Fix XML cheats which use multiple spaces. (#7998) [Szunti]

-plugins/cheat: fix regions in xml cheats too [cracyc]

-saitek_risc2500: update internal artwork [hap]

-mephisto_mondial family: make white in artwork a bit less bright [hap]

-tweaks to the funkyjet addition, also apply single pixel video offset to match hardware (#7996) [David Haywood]

-One more Apple software list update for this month's release (#8000) [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Sidewalk Sneakers [4am, Firehawke]
Animal Rescue [4am, Firehawke]
Mickey's Magic Reader [4am, Firehawke]
Modern Biology: Genetics [4am, Firehawke]

-pwm_display: remove the need to manually call update [hap]

-t6963c: increase default contrast a bit [hap]

-mmdisplay1 layouts: small tweak [hap]

-util/cdrom.cpp: Disable debug log message when parsing TOC. [Vas Crabb]
 * Also some miscellaneous cleanup/consistency.

-mmdisplay2: hd44780_device is not optional_device [hap]

-mmboard: shorthand variable types [hap]

New working software list additions
-----------------------------------
Frogger [Robbbert]
Android Nim [Robbbert]
Meteor Mission 2 [Robbbert]
LDOS 5.3.1 [Robbbert]
Lensman/DOS [Robbbert]
TRSDOS 6.21 [Robbbert]
CP/M 2.2 [Robbbert]

-basf7100: Add softlist, map more keys, mark working [Dirk Best]

-apple2_flop_orig.xml: fixed 3 validation errors [Robbbert]

-stfight: move ym2203 prescaler to driver init since cshootert doesn't need it [hap]

-pwm.h: missed one sync() [hap]

-aristmk5.cpp: convert to use IOC and MEMC devices. [Sandro Ronco]

-cpu/score: performance optimization. [Sandro Ronco]

-apple2gs: fix $C02E vertical counter readback, corrects hang in ShowMe NDA. [R. Belmont]

-cpu/score: Added bittgl! opcode. [Sandro Ronco]

-debuggdbstub.cpp: add score7 registers map. [Sandro Ronco]

-calomega.cpp general improvements... [Roberto Fresca, Grull Osgo]
 * The PIAs set for each MACHINE_CONFIG were made independent.
 * All the PIAs lines were adapted according to the needs of each platform.
 * All the interrupts were set/placed as indicated in the schematics (903/905).
 * A global hopper was added, currently assigned to platform 906-III, but it can be used by other platforms.
 * Worked proper inputs for system 903: Cal Omega - Game 15.7 (Double-Draw Poker). The game was promoted to WORKING.
 * Worked proper inputs for system 905: Cal Omega - Game 15.9 (Wild Double-Up). The game was promoted to WORKING.

Machines promoted to working
----------------------------
Cal Omega - Game 15.7 (Double-Draw Poker). [Roberto Fresca, Grull Osgo]
Cal Omega - Game 15.9 (Wild Double-Up). [Roberto Fresca, Grull Osgo]

-Worked proper inputs for system 905: Cal Omega - Game 17.2 (Double Double Poker). The game was promoted to WORKING. [RobertoFresca]

Machines promoted to working
----------------------------
Cal Omega - Game 17.2 (Double Double Poker). [Roberto Fresca, Grull Osgo]

New working software list additions
-----------------------------------
TRS-80 Marquee (L1) [Robbbert]
MicroChess 1.5 (L1) [Robbbert]
Haunted House (L1) [Robbbert]
Invasion Force (L1) [Robbbert]
Quick Watson (L1) [Robbbert]
Flying Saucers (L1) [Robbbert]

-srcclean in preparation for branching release [Vas Crabb]

-docs: Update build requirements for Fedora - someone should do this for other distros. [Vas Crabb]

-risc2500/tasc: mistake in cycle compare [hap]
 * (cherry picked from commit eb691627bee3a9403ac07031bdb9f6e9943e7844)

-stfight: forgot to remove imperfect sound flag from cshootert where 2203 prescaler issue doesnt apply [hap]
 * (cherry picked from commit 0996449e3520404929d4db8f5ffb232302dd8848)

-Merge pull request #8003 from DavidHaywood/250421 [ajrhacker]
 * fix gigandes sprite offsets (regressed around december)
 * (cherry picked from commit 73f578124c520e94c70a6d1efee9c86a6a0be68e)

-Clean up some metadata [Vas Crabb]
